/*
 * Purple - Internet Messaging Library
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * Purple is the legal property of its developers, whose names are too numerous
 * to list here. Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
# error "only <purple.h> may be included directly"
#endif

#ifndef PURPLE_VERSION_CONSTS_H
#define PURPLE_VERSION_CONSTS_H

/**
 * PURPLE_MAJOR_VERSION:
 *
 * The major version of the running libpurple.
 */
#define PURPLE_MAJOR_VERSION (2)

/**
 * PURPLE_MINOR_VERSION:
 *
 * The minor version of the running libpurple.
 */
#define PURPLE_MINOR_VERSION (92)

/**
 * PURPLE_MICRO_VERSION:
 *
 * The micro version of the running libpurple.
 */
#define PURPLE_MICRO_VERSION (1)

/**
 * PURPLE_EXTRA_VERSION:
 *
 * The "extra" part of the version number if anything.  Typical values are
 * "devel", "beta1", "rc2", etc.
 */
#define PURPLE_EXTRA_VERSION ("")

/**
 * PURPLE_VERSION
 *
 * The entire version as a string.
 */
#define PURPLE_VERSION ("2.92.1")

#endif /* PURPLE_VERSION_CONSTS_H */
